# LifeSteal

## CustomFlag: LifeSteal

**Description:** When the item has the LifeSteal flag, picking it up will heal the player a set amount (optionally scaled by a percentage).

**Parameters:**

* `life_steal_amount` — Base amount used in healing calculation.
* `life_steal_percentage` — Percentage to apply to the amount to compute healed health.

{% hint style="info" %}
*HealedAmount = life\_steal\_amount \* life\_steal\_percentage*
{% endhint %}

**Example Yaml context:**

```yaml
flag_settings:
  life_steal_settings:
  - life_steal_amount: 8
    life_steal_percentage: 0.5
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/api/customflagsettings/lifesteal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
